Name:		kaffeine
Version:	2.0.18
Release:	%mkrel 3
Summary:	Media Player for Plasma 5
Group:		Graphical desktop/KDE5
License:	GPLv2+
Url:		https://www.kde.org/applications/multimedia/kaffeine/
Source0:	http://download.kde.org/stable/kaffeine/%{version}/src/%{name}-%{version}.tar.xz
#-------------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5dbusaddons-devel
BuildRequires: %{_lib}kdoctools-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5idletime-devel
BuildRequires: %{_lib}kf5solid-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kf5xmlgui-devel
BuildRequires: %{_lib}kio-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: vlc-devel
BuildRequires: lib64qt5concurrent-devel
#-------------------------------------------------
Requires:	qt5-database-plugin-sqlite

%description
Kaffeine is a Plasma 5 Multi Engine Media Player.
What makes it different from the others is its excellent support of
digital TV (DVB). Kaffeine has user-friendly interface, so that even
first time users can start immediately playing their movies: from DVD
(including DVD menus, titles, chapters, etc.), VCD, or a file.

%files -f %{name}.lang
%{_kf5_bindir}/kaffeine
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/profiles/%{name}.profile.xml
%{_kf5_datadir}/solid/actions/*.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
#%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/metainfo/org.kde.kaffeine.appdata.xml
#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
Group: Documentation
BuildArch: noarch
Requires: %{name}

%description handbook
This package provides %{name} Handbook.

%files handbook 
%doc %_docdir/HTML/*/%{name}
%{_mandir}

%prep
%setup -qn %{name}-%{version}
%apply_patches
rm -r po/pt_BR/docs

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*.desktop


%find_lang %{name}


%changelog
* Tue Jun 16 2020 tex - 2.0.18-3pclos2020
- rebuild against updates

* Mon Jan 06 2020 tex - 2.0.18-2pclos2020
- rebuild against updates

* Thu May 16 2019 tex - 2.0.18-1pclos2019
- new version

* Fri May 03 2019 tex - 2.0.17-1pclos2019
- new version

* Wed Apr 17 2019 tex - 2.0.16-4pclos2019
- rebuild against updates

* Tue Apr 16 2019 tex - 2.0.16-3pclos2019
- rebuild against updates

* Wed Feb 06 2019 tex - 2.0.16-2pclos2019
- rebuild against updates

